Index: main/trunk/greenstone2/macros/english2.dm
===================================================================
--- main/trunk/greenstone2/macros/english2.dm	(revision 30603)
+++ main/trunk/greenstone2/macros/english2.dm	(revision 31934)
@@ -21,47 +21,5 @@
 _colnotbuilt_ {Collection not built.}
 
-### taken from here
-
-_textpoem_ {
-<br><h2>Kia papapounamu te moana</h2>
-
-<p>kia hora te marino,
-<br>kia tere te karohirohi,
-<br>kia papapounamu te moana
-
-<p>may peace and calmness surround you,
-<br>may you reside in the warmth of a summer's haze,
-<br>may the ocean of your travels be as smooth as the polished greenstone.
-}
-
-_textgreenstone_ { 
-<p>Greenstone is a semi-precious stone that (like this software) is sourced
-in New Zealand.  In traditional Maori society it was the most highly prized
-and sought after of all substances.  It can absorb and hold <i>wairua</i>,
-which is a spirit or life force, and is endowed with traditional virtues
-that make it an appropriate emblem for a public-domain digital library
-project.  Its lustre shows charity; its translucence, honesty; its
-toughness, courage; and the sharp edge it can take, justice.  The carved
-piece used in the Greenstone Digital Library Software logo is a <i>patu</i>
-or fighting club, and is a family heirloom of one of our project members.
-In hand-to-hand combat its delivery is very quick, very accurate, and very
-complete.  We like to think these qualities also apply to our software, the
-razor sharp edge of the <i>patu</i> symbolizing the leading edge of
-technology.</p>
-}
-
-_textaboutgreenstone_ {
-<p>Greenstone is a suite of software for building and distributing digital
-library collections. It provides a new way of organizing information and
-publishing it on the Internet or on CD-ROM.  Greenstone is produced by the
-<b>New Zealand Digital Library Project</b> at the <b>University of
-Waikato</b>, and developed and distributed in cooperation with
-<b>UNESCO</b> and the <b>Human Info NGO</b>.  It is open-source
-software, available from <a
-href="http://greenstone.org">http://greenstone.org</a> under the terms of
-the GNU General Public License.
-</p>
-
-<p>The aim of the software is to empower users, particularly in
+_aimofsoftware_{The aim of the software is to empower users, particularly in
 universities, libraries, and other public service institutions, to
 build their own digital libraries.  Digital libraries are radically
@@ -71,44 +29,30 @@
 countries.  We hope that this software will encourage the effective
 deployment of digital libraries to share information and place it in
-the public domain.
-</p>
-
-<p>This software is developed and distributed as an international
-cooperative effort established in August 2000 among three parties.
-</p>
-
-<p>
-<a href="http://nzdl.org"><b>New Zealand Digital Library Project at the University of Waikato</b></a>
-<br>
-Greenstone software grew out of this project, and this initiative
+the public domain.}
+
+_softwaredevel_{This software is developed and distributed as an international
+cooperative effort established in August 2000 among three parties.}
+
+_nzdltitle_{New Zealand Digital Library Project at the University of Waikato}
+
+_nzdldescr_{Greenstone software grew out of this project, and this initiative
 has been endorsed by the Communication Sub-Commission of the New
 Zealand National Commission for UNESCO as part of New Zealand's
-contribution to UNESCO's programme.
-</p>
-
-<p>
-<a href="http://www.unesco.org"><img alt="UNESCO logo" src="_httpimg_/unesco.gif"
-class="logo"></a>
-<a href="http://www.unesco.org"><b>United Nations Educational, Scientific and Cultural Organization</b></a>
-<br>
-The dissemination of educational, scientific and cultural information
-throughout the world, and particularly its availability in developing
+contribution to UNESCO's programme.}
+
+_unescotitle_{United Nations Educational, Scientific and Cultural Organization}
+
+_unescodescr_{The dissemination of educational, scientific and cultural
+information throughout the world, and particularly its availability in developing
 countries, is central to UNESCO's goals as pursued within its
 intergovernmental Information for All Programme, and appropriate,
 accessible information and communication technology is seen as an important
-tool in this context.
-</p>
-
-<p>
-<a href="http://humaninfo.org"><img alt="Human Info logo" src="_httpimg_/ghproj2.jpg" class="logo"></a>
-<a href="http://humaninfo.org"><b>The Human Info NGO, based in Antwerp, Belgium</b></a>
-<br>
-This project works with UN agencies and other NGOs, and has established
+tool in this context.}
+
+_humaninfotitle_{The Human Info NGO, based in Antwerp, Belgium}
+_humaninfodescr_{This project works with UN agencies and other NGOs, and has established
 a worldwide reputation for digitizing documentation of interest to
 human development and making it widely available, free of charge to
-developing nations and on a cost-recovery basis to others.
-</p>
-}
-
+developing nations and on a cost-recovery basis to others.}
 
 _textdescrselcol_ {select a collection}
@@ -206,34 +150,4 @@
 
 
-######################################################################
-# 'docs' page 
-package docs
-######################################################################
-
-
-#------------------------------------------------------------
-# text macros
-#------------------------------------------------------------
-
-_textnodocumentation_ {
-<p>This Greenstone installation does not include any documentation. This
-may be because:
-<ol>
- <li>Greenstone was installed from CD-ROM using a compact installation.
- <li>Greenstone was installed from a distribution downloaded from the
- internet.
-</ol>
-In either case you may obtain the documentation either from the <i>docs</i>
-directory of a Greenstone CD-ROM or by visiting <a
-href="http://www.greenstone.org">http://www.greenstone.org</a>.
-}
-
-_textuserguide_ {User's Guide}
-_textinstallerguide_ {Installer's Guide}
-_textdeveloperguide_ {Developer's Guide}
-_textpaperguide_ {From Paper to Collection}
-_textorganizerguide_ {Using the Organizer}
-
-_textgsdocstitle_ {greenstone documentation}
 
 ######################################################################
@@ -675,105 +589,74 @@
 _textgreenstone1_ {
 Greenstone is a suite of software which has the ability to serve digital
-library collections and build new collections.  It provides a new way of
-organizing information and publishing it on the Internet or on CD-ROM.
+library collections and build new collections.  It provides a versatile way of
+organizing information and publishing it on the web or on removable media
+such as DVD or USB thumb drive.
 Greenstone is produced by the New Zealand Digital Library Project at the
 University of Waikato, and distributed in cooperation with UNESCO and the
 Human Info NGO. It is open-source software, available from
-<i>http://greenstone.org</i> under the terms of the GNU General Public
+<a href="_1_">http://greenstone.org</a> under the terms of the GNU General Public
 License.
 }
 
+_textexamplestitle_ {examples}
 _textgreenstone2_ {
 The New Zealand Digital Library website (<a
-href="http://nzdl.org">http://nzdl.org</a>) contains numerous example
+href="_1_">http://nzdl.org</a>) contains numerous example
 collections, all created with the Greenstone software, which are publicly
 available for you to peruse. They exemplify various searching and browsing
 options, and include collections in Arabic, Chinese, French, Maori, and
-Spanish, as well as English. There are also some music collections.
-}
-
-_textplatformtitle_ {platform}
-_textgreenstone3_ {
-Greenstone runs on Windows, Unix and Mac OS X. The distribution includes ready-to-use
-binaries for all versions of Windows, and for Linux and Mac OS X. It also includes
-complete source code for the system, which can be compiled using Microsoft
-C++ or gcc.  Greenstone works with associated software that is also freely
-available: the Apache Webserver and PERL. The user interface uses a Web
-browser: typically Mozilla FireFox or Internet Explorer.
-}
-
-_textgreenstone4_ {
-Many document collections are distributed on CD-ROM using the Greenstone
-software. For example, the <i>Humanity Development Library</i> contains
-1,230 publications ranging from accounting to water sanitation. It runs on
-minimal computing facilities such as those typically found in developing
-countries. The information can be accessed by searching, browsing by
-subject, browsing by titles, browsing by organisation, browsing a list of
-how-tos, and by randomly viewing the book covers.
-}
+Spanish, as well as English. Many of these collections have been produced by the Human Info NGO and distributed on CD-ROM, such as the <a href="_2_">Humanity Development Library</a>. The <a href="_3_">greenstone.org examples page</a> also lists a vast array of Greenstone based digital libraries from around the world.
+}
+
+
+_texttechnicaltitle_{technical}
+_texttechnical_{
+See the <a href="_1_">greenstone factsheet</a> for technical details such as versions, platform support and interoperability. There are two major versions of the software: the original Greenstone 2, and Greenstone 3 which is a complete redesign and reimplementation. Greenstone 3 is under active development, and is recommended for download. This is a Greenstone 2 installation.
+}
+
 
 _textcustomisationtitle_ {customisation}
-_textgreenstone5_ {
-Greenstone is specifically designed to be highly extensible and
-customisable. New document and metadata formats are accommodated by writing
-"plugins" (in Perl). Analogously, new metadata browsing structures can be
-implemented by writing "classifiers." The user interface look-and-feel can
-be altered using "macros" written in a simple macro language. A Corba
-protocol allows agents (e.g. in Java) to use all the facilities associated
-with document collections. Finally, the source code, in C++ and Perl, is
-available and accessible for modification.
-}
+
+_textgreenstone5_ { Greenstone is specifically designed to be highly
+extensible and customisable. New document and metadata formats are
+accommodated by writing "plugins" (in Perl). Analogously, new metadata
+browsing structures can be implemented by writing "classifiers." The user
+interface look-and-feel can be altered using "macros" written in a simple
+macro language. The source code, in C++, Perl and Java, is available and
+accessible for modification. For more information, see the <a href="_1_">Greenstone wiki</a>.
+}
+
 
 _textdocumentationtitle_ {documentation}
-_textdocuments_ {Extensive documentation for the Greenstone software is available.}
-
-#_textthreedocs_ {There are three documents that explain the Greenstone system:}
-#_textinstall_ {The Greenstone Digital Library Software Installer's Guide}
-#_textuser_ {The Greenstone Digital Library Software User's Guide}
-#_textdevelop_ {The Greenstone Digital Library Software Developer's Guide}
-
-_textmailinglisttitle_ {mailing list}
-_textmailinglist_ {
-There is a mailing list intended primarily for discussions about the
-Greenstone digital library software.  Active users of Greenstone should
-consider joining the mailing list and contributing to the discussions.
-To subscribe, go to  <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.
-
-To send a message to the list, address it to <a
-href="mailto:greenstone-users@list.scms.waikato.ac.nz"
->greenstone-users@list.scms.waikato.ac.nz</a>.
-}
+_textdocuments_ {Extensive documentation for the Greenstone software is available on the <a href="_1_">Greenstone Wiki</a>, including step-by-step <a href="_2_">tutorials</a>.}
+
+_textsupporttitle_ {support}
+
+_textsupport_ { See the <a href="_1_">support</a>
+page for details about language specific mailing lists, regional support
+groups and other resources.  }
 
 _textbugstitle_ {bugs}
 _textreport_ {
 We want to ensure that this software works well for you.  Please report any
-bugs to <a href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users">the mailing list</a>.
-}
-
-_textgs3title_ {in the works}
-_textgs3_ {Greenstone 3 is a complete redesign and reimplementation which 
-retains all the advantages of Greenstone 2 (the current version)--for example, 
-it is multilingual, multiplatform, and highly configurable. It 
-incorporates all the features of the existing system, and is backwards 
-compatible: that is, it can build and run existing collections without 
-modification. Written in Java, it is structured as a network of 
-independent modules that communicate using XML: thus it runs in a 
-distributed fashion and can be spread across different servers as 
-necessary. This modular design increases the flexibility and 
-extensibility of Greenstone. Documentation and experimental releases of Greenstone 3 can be downloaded from the <a href="http://www.greenstone.org/greenstone3-home">Greenstone 3 home page</a>.}
-
-_textcreditstitle_ {credits}
-
-_textwhoswho_ { The Greenstone software is a
-collaborative effort between many people. Ian Witten was the founding
-member of the project, and Rodger McNab and Stefan Boddie were the initial
-principal architects and implementors.  Other contributors include:
-_contributorlist_ Other members of the New Zealand Digital Library project
-provided advice and inspiration in the design of the system:
-_inspirationlist_ We would also like to acknowledge all those who have
-contributed to the GNU-licensed packages included in this distribution:
-_gnupackagelist_}
+bugs to the <a href="_1_">Greenstone users mailing list</a>.
+}
 
 _textaboutgslong_ {about the greenstone software}
+
+_textgreenstone_ { 
+<p>Greenstone is a semi-precious stone that (like this software) is sourced
+in New Zealand.  In traditional Maori society it was the most highly prized
+and sought after of all substances.  It can absorb and hold <i>wairua</i>,
+which is a spirit or life force, and is endowed with traditional virtues
+that make it an appropriate emblem for a public-domain digital library
+project.  Its lustre shows charity; its translucence, honesty; its
+toughness, courage; and the sharp edge it can take, justice.
+}
+
+_texttokititle_ {The adze that shapes the excellence of thought}
+_texttokidesc1_ {In November 2000, a toki pou tangata (greenstone adze) was presented to the New Zealand Digital Library by MÄori, to acknowledge the important work being done on taonga (treasure) such as the <a href="_1_">Niupepa Collection</a>. The toki was carved by Bernard Makoare of NgÄti WhÄtua and Te Rarawa descent.  }
+_texttokidescr2_ {The toki is to symbolize the significance of pounamu (greenstone). It is to inspire the work that is being done here with qualities of mana, authority and leadership. It is a tough stone, a connection to be made. It is to be used to carve out and guide the excellence of thought that is harvested in the New Zealand Digital Library. }
+
 
 ######################################################################