Index: main/trunk/greenstone2/perllib/strings_gu.properties
===================================================================
--- main/trunk/greenstone2/perllib/strings_gu.properties	(revision 31958)
+++ main/trunk/greenstone2/perllib/strings_gu.properties	(revision 31959)
@@ -44,52 +44,50 @@
 #
 
-AZCompactList.allvalues:àª¬àª§à«àª àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªà« àªà«àªµàªŸ àª®àª³à« àªà« àª€à«àªšà« àªàªªàª¯à«àª àªàª°à«.
+AllList.desc:àª¬àª§àªŸàª àªªà«àª°àª²à«àªà«àªšà« àª®àªŸàª€à«àª° àªàª àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°à«. oaiserveràªšà« àªàªªàª¯à«àª àªàª°à«.
 
-AZCompactList.desc:àª®à«àª³àªŸàªà«àª·àª° àªªà«àª°àª®àªŸàª£à« àªà«àª àªµàªµàªŸ àª®àªŸàªà«àªšà« àªà«àª²àªŸàªžà«àª«àªŸàª¯àª° àªªà«àª²àªà«àªš (on a-z, A-Z, 0-9). A-Zàªšà« àª¹à«àª°à«àªà«àªšà«àªàª² àª¯àªŸàªŠà«Â  àª€à«àª¯àªŸàª° àªàª°à« àªà«, àªªàªà« àªªà«àª°àª²à«àªà«, àª
-àª¥àªµàªŸ àªžàª°à«àªµàªžàªŸàª®àªŸàªšà«àª¯ àª®à«àªàªŸàª¡à«àªàªŸ àªžàªŸàª¥à«àªšàªŸ àªªà«àª°àª²à«àªà«àªšàªŸ àª¬à«àªàªžà«àª²à«àªµà«àª àªžàªŸàª¥à«àªšà« àªµàª°à«àªà«àªàª² àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°à« àªà«.
+AZCompactList.allvalues:àªà« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªà«àªµàªŸ àª®àª³à« àª€à«àªšà« àªàªªàª¯à«àª àªàª°à«.
 
-AZCompactList.doclevel:àªªà«àª°àª²à«àªà«àªšà« àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà«àªšà«àª àª²à«àªµàª².
+AZCompactList.desc:àª®à«àª³àªŸàªà«àª·àª°à« (a-z, A-Z, 0-9) àª®à«àªàª¬ àªžà«àª°à«àªà«àªàª àªàª°àª€àªŸ àªà«àª²àªŸàªžà«àª«àªŸàª¯àª° àªªà«àª²à«àªà«àªšà«àªž. àª àªà«àª²àªŸàªžà«àª«àªŸàª¯àª° àªªà«àª²à«àªà«àªšà«àªž àªžàª®àªŸàªàª€àª°/àª¹à«àª°àª¿àªà«àªšà«àªàª² A-Z àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°à« àªà«, àª€à«àª¯àªŸàª°àª¬àªŸàªŠ  àªªà«àª°àª²à«àªà«àªšà« àªµàª°à«àªàª¿àªàª² àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àª¥àªŸàª¯ àªà« àªà«àª®àªŸàª àªµàª¿àªµàª¿àª§ àªªà«àª°àª²à«àªà« àª¹à«àª¯ àªà« àª
+àª¥àªµàªŸ àªà«àª®àªš àª®à«àªàªŸàª¡à«àªàªŸ àª§àª°àªŸàªµàª€àªŸ àª¬à«àªà«àª¶à«àª²à«àªµà«àª àª¹à«àª¯ àªà«.
+
+AZCompactList.doclevel:àª¡à«àªà«àª¯à«àª®à«àªšà«àª àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àª®àªŸàªà«àªšà«àª àªžà«àª€àª°.
 AZCompactList.doclevel.top:àªžàªàªªà«àª°à«àª£ àªªà«àª°àª²à«àª.
-AZCompactList.doclevel.firstlevel:àª«àªà«àª€ àªªà«àª°àª¥àª® àªžà«àª€àª°àªšàªŸ àªµàª¿àª­àªŸàªà« àª®àªŸàªà«
+AZCompactList.doclevel.firstlevel:àª«àªàª€ àªªà«àª°àª¥àª® àªžà«àª€àª°àªšàªŸ àªµàª¿àª­àªŸàªà«
 AZCompactList.doclevel.section:àª¬àª§àªŸ àªµàª¿àª­àªŸàªà«.
 
-AZCompactList.firstvalueonly:àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àª®àª³à« àª€à«àªšà« àª àªàªªàª¯à«àª àªàª°à«.
+AZCompactList.firstvalueonly:àªà« àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªà«àªµàªŸ àª®àª³à« àª€à«àªšà« àªàªªàª¯à«àª àªàª°à«.
 
-AZCompactList.freqsort:àªàª²à«àª«àªŸ-àªšà«àª¯à«àª®àª°àª¿àªàª¥à« àªšàª¹àª¿ àªªàª°àªàª€à« àªšà«àª¡ àª«à«àª°à«àªà«àªµàªšà«àªžà«àª¥à« àª
-àª²àª àª€àªŸàª°àªµà«.
+AZCompactList.freqsort:àª
+àª²à«àª«àªŸ-àªšà«àª¯à«àª®à«àª°àª¿àªàªšà« àª¬àªŠàª²à« àªšà«àª¡ àª«à«àª°àª¿àªàªµàªšà«àªžà«àª¥à« àªžà«àª°à«àª àªàª°à«.
 
 AZCompactList.maxcompact:àªŠàª°à«àª àªªàªŸàªšàªŸàªŠà«àª  àªµàª§à«àª®àªŸàª àªµàª§à« àªªà«àª°àª²à«àªà« àªŠà«àªàªŸàªµàªŸ àªà«àªàª.
 
-AZCompactList.metadata:àªžàª¿àªàªàª² àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡, àª
-àª¥àªµàªŸ àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àªšà« àª
-àª²àª àªàª°àªšàªŸàª° àª
-àª²à«àªª àªµàª¿àª°àªŸàª®àªšà« àªàªªàª¯à«àª àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. àªà« àª¯àªŸàªŠà« àªšàªà«àªà« àªàª°à«àª² àª¹à«àª¯, àª€à« àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªªà«àª°àªàªŸàª°àªšà« àªà« àªµà«àª²à«àª¯à« àª¹à«àª¯ àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª¯àªŸàªŠà«àª®àªŸàªàª¥à« àªªà«àª°àª¥àª® àªµà«àª²à«àª¯à« àªªàªžàªàªŠ àªàª°àªµàªŸ, àª
-àª¥àªµàªŸ àª¬àª§à« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àªªàªžàªàªŠ àªàª°àªµàªŸ -àª«àªà«àª€àªªà«àª°àª¥àª®àªµà«àª²à«àª¯à«àª àª
-àªšà« -àª¬àª§à«àªàªµà«àª²à«àª¯à« àª«à«àª²à«àª àªžàªŸàª¥à« àªàªªàª¯à«àª àªàª°à« àª¶àªàªŸàª¯.
+AZCompactList.metadata:àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àª®àªŸàª€à«àª° àªàª àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡, àª
+àª¥àªµàªŸ àª
+àª²à«àªªàªµàª¿àª°àªŸàª®àª¥à« àª
+àª²àª àªªàª¡àª€à« àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡à«àªžàªšà« àª¯àªŸàªŠà«àªšà« àªàªªàª¯à«àª àªàª°à«. àªà« àª®à«àªàªŸàª¡à«àªàªŸàªšà« àª¯àªŸàªŠà« àªšàªà«àªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà«, àª€à« àªªà«àª°àª¥àª® àª®à«àªàªŸàª¡à«àªàªŸ àªªà«àª°àªàªŸàª° àªà« àªà«àªšà« àªµà«àª²à«àª¯à« àª¹à«àª¯ àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª¯àªŸàªŠà« àª®àªŸàªàª¥à« àª®àªŸàª€à«àª° àªªà«àª°àª¥àª® àªµà«àª²à«àª¯à«, àª
+àª¥àªµàªŸ àª¬àª§àªŸàª àª®à«àªàªŸàª¡à«àªàªŸàªšà« àªµà«àª²à«àª¯à« àªªàªžàªàªŠ àªàª°àªµàªŸ àª®àªŸàªà« -àª®àªŸàª€à«àª°àªªà«àª°àª¥àª®àªµà«àª²à«àª¯à« àª
+àª¥àªµàªŸ -àª¬àª§à«àªàªµà«àª²à«àª¯à« àª«à«àª²à«àªà«àªžàªšàªŸ àªà«àª¡àªŸàª£ àªŠà«àªµàªŸàª°àªŸ àªàªªàª¯à«àª àª¥àª àª¶àªà«.
 
 AZCompactList.mincompact:àªŠàª°à«àª àªªàªŸàªšàªŸàªŠà«àª  àªàªàªŸàª®àªŸàª àªàªàªŸ àªªà«àª°àª²à«àªà« àªŠà«àªàªŸàªµàªŸ àªà«àªàª.
 
-AZCompactList.mingroup:àªšàªŸàªšàªŸàª®àªŸàª àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªà« àªà« àªžàª®à«àª¹àªšà« àª°àªàªšàªŸ àª¹àªŸàªàª°àªŸàª°à«àªà«àª®àªŸàª àªàª°àª¶à«.
+AZCompactList.mingroup:àªšàªŸàªšàªŸàª®àªŸàª àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªà« àªà« àª¹àªŸàª¯àª°àªŸàª°à«àªàª¿àªšà« àª°àªàªšàªŸ àª®àªŸàªà« àªà«àª°à«àªª àª¬àªšàªŸàªµàª¶à«.
 
-AZCompactList.minnesting:àªšàªŸàªšàªŸàª®àªŸàª àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªà« àªà« àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°àª¶à« àªà« àªà«àªšà« àªªà«àªšàª°àªŸàªµàª°à«àª€à«àª€ àª¯àªŸàªŠà«àª®àªŸàª àª°à«àªªàªŸàªàª€àª° àªàª°àªµàªŸàªšà«àª àª°àª¹à«àª¶à«.
+AZCompactList.minnesting:àªžà«àª¥à« àªšàªŸàªšà« àªµà«àª²à«àª¯à« àªàª àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°àª¶à« àªà« àªà« àªªà«àªšàª°àªŸàªµàª°à«àª€àª¿àª€ àªžà«àªà« àª
+àª¥àªµàªŸ àª¯àªŸàªŠà«àª®àªŸàª àªªàª°àª¿àªµàª°à«àª€àª¿àª€ àª¥àª¶à«.
 
-AZCompactList.recopt:àªªà«àªšàª°àªŸàªµàª°à«àª€à«àª€ àª®à«àªàªŸàª¡à«àªàªŸ àªà«àªµàªŸ àªà«- àª®à«àªàªŸàª¡à«àªàªŸ àªµàª°à«àª·/àªžàªàªžà«àª¥àªŸàªšà« àªàªªàª¯à«àª àªàª°à«àª¯à«.
-AZCompactList.sort:àª²àª¿àª« àªšà«àª¡àªšà« àª
-àª²àª àª€àªŸàª°àªµàª€àªŸ àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡à«àªž.
+AZCompactList.recopt:àªªà«àªšàª°àªŸàªµàª°à«àª€àª¿àª€ àª®à«àªàªŸàª¡à«àªàªŸàª®àªŸàª àªàªªàª¯à«àª àªàª°à« àªà«àª® àªà« â àªµàª°à«àª·/àªžàªàªžà«àª¥àªŸ àª®à«àªàªŸàª¡à«àªàªŸ.
+AZCompactList.sort:àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àª²à«àª« àªšà«àª¡à«àªžàªšà« àªžà«àª°à«àª àªàª°àªµàªŸ àª®àªŸàªà«.
 
-AZCompactSectionList.desc:AZCompactListàª®àªŸàª àªµàª¿àªµàª¿àª§àª€àªŸ àªà« àªà« àªªà«àª°àª²à«àªà« àªšà« àªšàª¹àª¿ àªªàª°àªàª€à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«.Â  àªàªšà«àªà«àª°à«àªàªšà« àªžà«àªà«àª¶àªš-àª²à«àªµàª² àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àª
-àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàªµà« àªà«.
+AZCompactSectionList.desc:AZCompactList àªªàª°àªšà« àª«à«àª°àª«àªŸàª° àªà« àªªà«àª°àª²à«àªà«àªšà« àª¬àªŠàª²à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«. àªàªšà«àªà«àª°à«àª àªžà«àªà«àª¶àªš-àªžà«àª€àª°àªšàªŸ àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àªžà«àª°à«àª àª¥àªŸàª¯ àªà«.
 
-AZList.desc:àª®à«àª³àªŸàªà«àª·àª°à« àªªà«àª°àª®àªŸàª£à« àª
-àª²àª àª€àªŸàª°àªµàªµàªŸ àª®àªŸàªà«àªšàªŸ àªà«àª²àªŸàªžàª¿àª«àªŸàª¯àª° àªªà«àª²àªà«àªš (on a-z, A-Z, 0-9). àª€à« àªàª¡à« àª²àªŸàªàªšàª®àªŸàª A-Z àª¯àªŸàªŠà« àª¬àªšàªŸàªµà« àªà«, àªà« àªà«àªšà« àªšà«àªà« àªªà«àª°àª²à«àªà«àªšà« àª¯àªŸàªŠà«àªšàªŸ àª¹à«àª¯ àªà«.
+AZList.desc:àª®à«àª³àªŸàªà«àª·àª° àªªà«àª°àª®àªŸàª£à« àªžà«àª°à«àª àªàª°àªµàªŸ àª®àªŸàªà«àªšàªŸ àªà«àª²àªŸàªžà«àª«àªŸàª¯àª° àªªà«àª²àªŸàªà«àªš (a-z, A-Z, 0-9 àªªàª°). àªšà«àªà« àª²à«àªžà«àª àªªà«àª°àª®àªŸàª£à«àªšàªŸ àªªà«àª°àª²à«àªà«, àª¹à«àª°àª¿àªà«àªšà«àªàª² A-Z àª¯àªŸàªŠà« àª€à«àª¯àªŸàª° àªàª°à« àªà«.
 
-AZList.metadata:àªžàª¿àªàªàª² àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡, àª
-àª¥àªµàªŸ àªàª àªàª°àª€àªŸ àªµàª§àªŸàª°à« àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àªšà« àª
-àª²àª àªàª°àªšàªŸàª° àª
-àª²à«àªª àªµàª¿àª°àªŸàª®àªšà« àªàªªàª¯à«àª àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà«. àª¯àªŸàªŠà« àª®à«àªàª¬ àªšà«àªà« àªªà«àª°àª®àªŸàª£à«àªšàªŸ àªàª°à«àª¡àª°àª®àªŸàª, àªªà«àª°àª¥àª® àª«àª¿àª²à«àª¡ àªà« àªà« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àª¬àª€àªŸàªµà« àªà« àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª àªàª²àª¿àª®à«àªšà«àª àªªà«àª°àª®àªŸàª£à« àª¯àªŸàªŠà« àª
-àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«.
+AZList.metadata:àª®àªŸàª€à«àª° àªàª àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡ àª
+àª¥àªµàªŸ àª
+àª²à«àªª àªµàª¿àª°àªŸàª® (àªà«àª®àªŸ)àª¥à« àª
+àª²àª àªªàª¡àª€àªŸ àª®à«àªàªŸàª¡à«àªàªŸ àª«àª¿àª²à«àª¡à«àªžàªšàªŸ àª²à«àªžà«àªàªšà«  àªµàª°à«àªà«àªàª°àª£ àª®àªŸàªà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«. àª²à«àªžà«àªàª®àªŸàª àªŠàª°à«àª¶àªŸàªµà«àª² àªà«àª°àª® àª®à«àªàª¬, àªªà«àª°àª¥àª® àª«àª¿àª²à«àª¡ àªà« àª®à«àªàªŸàª¡à«àªàªŸ àªµà«àª²à«àª¯à« àª§àª°àªŸàªµà« àªà« àª€à«àªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«. àª àªàª²àª¿àª®à«àªšà«àª àªŠà«àªµàªŸàª°àªŸ àª²à«àªžà«àª àªžà«àª°à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµàª¶à«.
 
-AZSectionList.desc:AZListàª®àªŸàª àªµàª¿àªµàª¿àª§àª€àªŸ àªà« àªà« àªªà«àª°àª²à«àªà« àªšà« àªšàª¹àª¿ àªªàª°àªàª€à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«.Â  àªàªšà«àªà«àª°à«àªàªšà« àªžà«àªà«àª¶àªš-àª²à«àªµàª² àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àª
-àª²àª àª€àªŸàª°àªµàªµàªŸàª®àªŸàª àªàªµà« àªà«.
+AZSectionList.desc:AZList àªªàª°àªšà« àª«à«àª°àª«àªŸàª° àªà« àªªà«àª°àª²à«àªà«àªšà« àª¬àªŠàª²à« àªµàª¿àª­àªŸàªà«àªšà« àªµàª°à«àªà«àªà«àª€ àªàª°à« àªà«. àªàªšà«àªà«àª°à«àª àªžà«àªà«àª¶àªš-àªžà«àª€àª°àªšàªŸ àª®à«àªàªŸàª¡à«àªàªŸ àªŠà«àªµàªŸàª°àªŸ àªžà«àª°à«àª àª¥àªŸàª¯ àªà«.
 
 #
@@ -98,15 +96,32 @@
 AcronymExtractor.adding:àªàª®à«àª°à«àªšà«
 
-AcronymExtractor.already_seen:àª
-àªàªŸàªàª¥à« àªÂ  àªŠà«àªàªŸàª¯ àªà«
+AcronymExtractor.already_seen:àªªàª¹à«àª²à«àª¥à« àªà«àªµàªŸàª®àªŸàª àªàªµà«àª¯à«àª
 
-AcronymExtractor.desc:àªžà«àª¥àª³ àª®àªŸàªà« àª
-àªšà« àª®à«àª€àªŸàªà«àª·àª°à«àªšà« àªà«àªà«àªžàªàª®àªŸàª àª®àªŸàª°à«àªàª
-àªª àªàª°àªµàªŸ àª®àªŸàªà«àªšàªŸ àª¹à«àª²à«àªªàª° àªàªà«àªžàªà«àª°à«àªà«àªàª° àªªà«àª²àªà«àªš.
+AcronymExtractor.desc:àª¹à«àª²à«àªªàª° àªàªà«àª·à«àªà«àª°à«àªàªàª° àªªà«àª²à«àªà«àªš àª²à«àªà«àª¶àªš àª®àªŸàªà« àª
+àªšà« àª²àªàªŸàª£àª®àªŸàª àªàªà«àª°àªšà«àª®à«àªžàªšà« àªàª³àªàªµàªŸ àª®àªŸàªà«.
 
-AcronymExtractor.done_acronym_extract:àª®à«àª€àªŸàªà«àª·àª°à«àªšà« àªàªà«àªžàªà«àª°à«àªà«àª àªàª°àªµàªŸàªšà« àªàªŸàª®àªà«àª°à« àªªà«àª°à«àª£.
+AcronymExtractor.done_acronym_extract:àªàªà«àª°àªšà«àª®à«àªžàªšà«àª àªàªà«àª·à«àªà«àª°à«àªàªà«àªàª àªªà«àª°à«àª£.
 
-AcronymExtractor.done_acronym_markup:àª®à«àª€àªŸàªà«àª·àª°à«àªšàªŸ àª®àªŸàª°à«àªàª
-àªªàªšà« àªàªŸàª®àªà«àª°à« àªªà«àª°à«àª£.
+AcronymExtractor.done_acronym_markup:àªàªà«àª°àªšà«àª®àªšà«àª àª®àªŸàª°à«àªàª
+àªª àªªà«àª°à«àª£.
+
+AcronymExtractor.extract_acronyms:àª²àªàªŸàª£àª®àªŸàªàª¥à« àªàªà«àª°àªšà«àª®à«àªžàªšà« àªàªà«àª·à«àªà«àª°à«àªàª àªàª°à« àª
+àªšà« àª®à«àªàªŸàª¡à«àªàªŸ àª€àª°à«àªà« àªžà«àª àªàª°à«.
+
+AcronymExtractor.extracting_acronyms:àªàªà«àª°àªšà«àª®à«àªž àªàªà«àª·à«àªà«àª°à«àªàª àª¥àª àª°àª¹à«àª¯àªŸ àªà«
+
+AcronymExtractor.marking_up_acronyms:àªàªà«àª°àªšà«àª®à«àªž àª®àªŸàª°à«àªàª¿àªàª-àª
+àªª àªàª°à«
+
+AcronymExtractor.markup_acronyms:àª¡à«àªà«àª¯à«àª®à«àªšà«àª àªà«àªà«àªžà«àªàª®àªŸàª àªàªà«àª°àªšà«àª® àª®à«àªàªŸàª¡à«àªàªŸ àªàª®à«àª°à«.
+
+ArchivesInfPlugin.desc:àª àªªà«àª²à«àªà«àªš àªà« àªàª°à«àªàªŸàªàªµ àªàªšà«àª«à« àª¡à«àªàªŸàª¬à«àª (archiveinf-doc)àªšà« àªªà«àª°à«àªžà«àªž àªàª°à« àªà« àªà« àªà« àªàª®à«àªªà«àª°à«àª àªªà«àª°à«àªžà«àªž àªŠà«àªµàªŸàª°àªŸ àª
+àªžà«àª€àª¿àª€à«àªµàª®àªŸàª àªàªµà« àªà«. àª€à« àª¡à«àªàªŸàª¬à«àªàª®àªŸàª àª°àª¹à«àª² àªŠàª°à«àª àªàª°à«àªàªŸàªàªµ àª«àªŸàªàª²àªšà« GreenstoneXMLPlugin àªŠà«àªµàªŸàª°àªŸ àªªà«àª°à«àªžà«àªž àªàª°àªµàªŸ àªªà«àª²à«àªà«àªš àªªàªŸàªàªªàª²àªŸàªàªšàª®àªŸàªàª¥à« àªªàªžàªŸàª° àªàª°à« àªà«.
+ArchivesInfPlugin.reversesort:àªàª²àªàªŸ àª®à«àª³àªŸàªà«àª·àª° àªà«àª°àª®àª®àªŸàª àªžà«àª°à«àª àªàª°à«. àªà« import.pl. àªžàªŸàª¥à«  âsortmeta àªµàª¿àªàª²à«àªªàªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à« àª¹à«àª€ àª€à« àª€à« àªàªªàª¯à«àªà« àª¥àªŸàª€.
+ArchivesInfPlugin.sort:àªàª¡àª€àªŸ àª®à«àª³àªŸàªà«àª·àª° àªà«àª°àª® àªªà«àª°àª®àªŸàª£à« àªžà«àª°à«àª àªàª°à«. àªà« import.pl. àªžàªŸàª¥à«  âsortmeta àªµàª¿àªàª²à«àªªàªšà« àªàªªàª¯à«àª àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à« àª¹à«àª€ àª€à« àª€à« àªàªªàª¯à«àªà« àª¥àªŸàª€.
+
+AutoExtractMetadata.desc:àª¬à«àª àªªà«àª²à«àªà«àªš àªà« àª¬àª§à«àª àªàªà«àª·à«àªà«àª°à«àªàªàª° àªàªŸàª®àªà«àª°à«àªšà« àªàªà«àª·à«àªà«àª°à«àªàªàª° àªªà«àª²à«àªà«àªšà«àªžàª®àªŸàªàª¥à« àª²àªŸàªµà« àªžàªàªàª àª¿àª€ àªàª°à« àªà«.
+
+AutoExtractMetadata.extracting:àªàªà«àª·à«àªà«àª°à«àªàª àª¥àª àª°àª¹à«àª¯à«àª àªà«
 
 #