Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31917)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31967)
@@ -598,5 +598,5 @@
 <Text id="0257b">Go back to the web browser and click the <Path>titles</Path>  link near the top of the page. Open the file <Path>boleyn.html</Path> and look for the link to <Path>Katharine of Aragon</Path> (in the 5th paragraph of the <Path>Biography</Path> section). This links to a document inside the collection--<Path>aragon.html</Path>. View this document by clicking the link. For an external link, return to <Path>boleyn.html</Path> and click <Path>letters written by Anne</Path> (in the <Path>Primary Sources</Path> section). This takes you out on to the web. </Text>
   <MajorVersion number="2">
-  <Text id="0257c">If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format> (remove the # at the start of a line to uncomment it). Note, that if you are already browsing a collection, then you will need to go back to the home page and re-enter the collection or even clear your browser history to see this take effect (due to caching of the el argument).</Text>
+  <Text id="0257c">If you want a warning message to be displayed first, you can open <Path>Greenstone &rarr; etc &rarr; main.cfg</Path> file and uncomment the line <Format>cgiarg shortname=el argdefault=prompt</Format> (remove the # at the start of a line to uncomment it). Note, that if you are already browsing a collection, then you will need to go back to the home page and re-enter the collection or even clear your browser history to see this take effect (due to caching of the el argument). Alternatively, try restarting the Greenstone web server.</Text>
   </MajorVersion>
 </NumberedItem>
@@ -2385,5 +2385,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0417a">If your computer is behind a firewall or proxy server, you will need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+  <Text id="0417a">If your computer is behind a firewall or proxy server, you will need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.HTTP_Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes.</Text>
+  <Text id ="0417b">URLs that start with <i>https</i>, or URLs that resolve to <i>https</i>, will additionally need the <AutoText key="glidict::Preferences.Connection.HTTP_Proxy_Host"/> and corresponding <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> filled in too, before web pages can be downloaded from there.</Text>
+<Text id ="0417c">Websites at https URLs often have a security certificate, but not always. For instance, <Link>https://englishhistory.net</Link> does not have one. To instruct GLI to nevertheless download pages from <i>https</i> URLs that don't have a security certificate, you'll also need to switch on the <AutoText key="glidict::Preferences.Connection.No_Check_Certificate"/> checkbox.</Text>
+  <Text id ="0417d">Once you've finished configuring the proxy settings, click <AutoText key="glidict::General.OK" type="button"/> to close the dialog.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -4683,5 +4686,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="gli-oai-6">If your computer is behind a firewall or proxy server, you will need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes. Click <AutoText key="glidict::General.OK" type="button"/> to get back to the <AutoText key="glidict::DOWNLOAD.MODE.OAIDownload"/> section of the <AutoText key="glidict::GUI.Download"/> panel. </Text>
+<Text id="gli-oai-6">If your computer is behind a firewall or proxy server, you will need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.HTTP_Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes. Click <AutoText key="glidict::General.OK" type="button"/> to get back to the <AutoText key="glidict::DOWNLOAD.MODE.OAIDownload"/> section of the <AutoText key="glidict::GUI.Download"/> panel. </Text>
 </NumberedItem>
 <NumberedItem>