Index: /main/trunk/greenstone2/macros/gujarati2.dm
===================================================================
--- /main/trunk/greenstone2/macros/gujarati2.dm	(revision 31973)
+++ /main/trunk/greenstone2/macros/gujarati2.dm	(revision 31974)
@@ -20,4 +20,16 @@
 _ago_ [l=gu] {àªŠàª¿àªµàªžà« àªªàª¹à«àª²àªŸ}
 _colnotbuilt_ [l=gu] {àªžàªàªà«àª°àª¹ àª€à«àª¯àªŸàª° àª¥àª¯à« àªšàª¥à«.}
+
+_aimofsoftware_ [l=gu] {àª àªžà«àª«à«àªàªµà«àª°àªšà« àª¹à«àª€à« àªàªŸàªž àªàª°à«àªšà« àª¯à«àªšàª¿àªµàª°à«àªžàª¿àªà«àª, àªà«àª°àªàª¥àªŸàª²àª¯à«, àª
+àªšà« àª
+àªšà«àª¯ àªàªŸàª¹à«àª° àªžà«àªµàªŸ àªžàªàªžà«àª¥àªŸàªàª®àªŸàª  àª¡à«àªàª¿àªàª²  àªà«àª°àªàª¥àªŸàª²àª¯à« àª€à«àª¯àªŸàª° àªàª°àªµàªŸ àª®àªŸàªàªàª€àªŸ àªµàªªàª°àªŸàª¶àªàª°à«àª€àªŸàªàªšà« àªžàª¶àªà«àª€àª¿àªàª°àª£ àªàª°àªµàªŸàªšà« àªà«. àªµà«àª¶à«àªµàª¿àª àªà«àª·à«àª€à«àª°à« àª
+àªšà« àªàªŸàªž àªàª°à«àªšà« àªµàª¿àªàªŸàªžàª¶à«àª² àªŠà«àª¶à«àª®àªŸàª àª¶àª¿àªà«àª·àª£, àªµàª¿àªà«àªàªŸàªš àª
+àªšà« àªžàªàªžà«àªà«àª€àª¿ àªà«àª·à«àª€à«àª°à« àªàªŸàª® àªàª°àª€à« àª¯à«àªšà«àªžà«àªà«àªšàªŸ  àª­àªŸàªà«àªŠàªŸàª° àªžàª®à«àªŠàªŸàª¯ àª
+àªšà« àªžàªàªžà«àª¥àªŸàªàª®àªŸàª àª®àªŸàª¹àª¿àª€à«àªšà« àªªà«àª°àªžàªŸàª°  àªà«àªµà« àª°à«àª€à«  àªàª°àªµàªŸàª®àªŸàª àªàªµà« àªà« àª
+àªšà« àª®àªŸàª¹àª¿àª€à« àªà«àªµà« àª°à«àª€à« àª®à«àª³àªµàªµàªŸàª®àªŸàª àªàªµà« àªà« àª€à« àª
+àªàªà« àª¡à«àªàª¿àªàª²  àªà«àª°àªàª¥àªŸàª²àª¯à« àª§àª°àª®à«àª³ àª«à«àª°àª«àªŸàª° àªàª°à« àª°àª¹à«àª¯àªŸ àªà«. àª
+àª®à« àªàª¶àªŸ àª°àªŸàªà«àª àªà«àª àªà« àª®àªŸàª¹àª¿àª€à« àª¶à«àª° àªàª°àªµàªŸ àª
+àªšà« àª®àªŸàª¹àª¿àª€à«àªšà« àªàªŸàª¹à«àª° àª¡à«àª®à«àªšàª®àªŸàª àª®à«àªàªµàªŸ àª¡à«àªàª¿àªàª²  àªà«àª°àªàª¥àªŸàª²àª¯à«àªšà«  àª
+àªžàª°àªàªŸàª°àª àªàªªàª¯à«àª àªàª°àªµàªŸ àª àªžà«àª«à«àªàªµà«àª° àªªà«àª°à«àª€à«àªžàªŸàª¹àª¿àª€ àªàª°àª¶à«.}
 
 _textdescrselcol_ [l=gu] {àªžàªàªà«àª°àª¹ àªªàªžàªàªŠ àªàª°à«}
@@ -441,4 +453,12 @@
 àªšà« àªªàªàª¡à« àª¶àªà« àªà« <i>wairua</i>, àª€à« àªªàª°àªàªªàª°àªŸàªàª€ àªà«àª£à« àªžàªŸàª¥à« àªžàªàªªàªšà«àªš àªà« àªà« àªªàª¬à«àª²àª¿àª-àª¡à«àª®à«àªš àª¡àª¿àªàª¿àªàª² àªà«àª°àªàª¥àªŸàª²àª¯ àªªà«àª°à«àªà«àªà«àª àª®àªŸàªà« àªªà«àª°àª€àª¿àª àªà«.  àª€à«àªšà« àª€à«àªàªžà«àªµàª¿àª€àªŸ àªàªŠàªŸàª°àª€àªŸ àª¬àª€àªŸàªµà« àªà«; àª€à«àªšà« àªšàª¿àª°à«àª®àª³àª€àªŸ, àªªà«àª°àª®àªŸàª£àª¿àªàª€àªŸ àªŠàª°à«àª¶àªŸàªµà« àªà«; àª€à«àªšà« àª®àªàª¬à«àª€àªŸàª àª¹àª¿àª®àª€ àª¬àª€àªŸàªµà« àªà«, àª
 àªšà« àª€à«àªšà« àª€à«àªà«àª·àª£àª€àªŸ àªšà«àª¯àªŸàª¯ àª€àª°àª« àªŠà«àª°à« àªàªŸàª¯ àªà«.}
+
+_texttokilink_ [l=gu] {àªà«àªà«àªšà« àª®à«àªà« àªàª®à«àª àªà«àª}
+_texttokidesc1_ [l=gu] {àªà«àª¬àª àª®àª¹àª€à«àªµàªšà« àªàªŸàª®àªà«àª°à« àª¬àªàªŸàªµàªµàªŸ àª¬àªŠàª² àªà«àª® àªà« <a href="_1_">Niupepa àªžàªàªà«àª°àª¹</a> àª®àªŸàªàª°à« àªŠà«àªµàªŸàª°àªŸ àªšàªµà«àª®à«àª¬àª° à«šà«Šà«Šà«Š, àª®àªŸàª àªšà«àª¯à«àªà«àª²à«àªšà«àª¡  àª¡à«àªàª¿àªàª² àª²àªŸàªàª¬à«àª°à«àª°à«àªšà«  toki pou tangata (àªà«àª°à«àªšàªžà«àªà«àªš àªàª¡à«àª) àª°àªà« àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«. NgÄti WhÄtuaàªšàªŸ Bernard Makoare àª
+àªšà« Te Rarawa àªŠà«àªµàªŸàª°àªŸ tokiàªšà«àª àªà«àª¬àª àªžàª°àªž àª°à«àª€à« àªšàªàª¶à« àªàªŸàª® àªàª°àªµàªŸàª®àªŸàª àªàªµà«àª¯à«àª àª¹àª€à«àª.}
+_texttokidescr2_ [l=gu] {àªà«àªà«àª àªªà«àªšàªŸàª®à«àª (àªà«àª°à«àªšàªžà«àªà«àªš)àªšà«àª àª®àª¹àª€à«àªµ àªŠàª°à«àª¶àªŸàªµà« àªà«. àª€à« àªàª¶à«àªµàª°à« àª¶àªà«àª€àª¿,  àªžàª€à«àª€àªŸ àª
+àªšà« àªšà«àª€à«àª€à«àªµàªšàªŸ àªà«àª£à«àª¥à« àªà« àªàªŸàª°à«àª¯ àª¥àªŸàª¯ àªà« àª€à«àªšà« àªªà«àª°à«àª°àª£àªŸ àªàªªà« àªà«. àª€à« àªžàªà«àª€ àªªàª€à«àª¥àª° àªà« àª
+àªšà« àª€à« àªàªàª¬à«àªàªŸ àªžàªŸàª¥à«àªšàªŸ àªà«àª¡àªŸàª£ àª®àªŸàªà« àª®àªŠàªŠàª°à«àªª àª¬àªšà« àªà«. àªšà«àª¯à«àªà«àª²à«àªšà«àª¡  àª¡à«àªàª¿àªàª² àª²àªŸàªàª¬à«àª°à«àª°à« àª
+àªàªà«àªšà« àªµàª¿àªàªŸàª°à«àªšà« àªàª€à«àªà«àª·à«àªàª€àªŸàªšà« àª¬àª¹àªŸàª° àª²àªŸàªµàªµàªŸ  àª®àªŸàª°à«àªàªŠàª°à«àª¶àªš  àªàªªà« àªà«.}
 
 ######################################################################