Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31996)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 31997)
@@ -3321,5 +3321,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0548">In the file browser, take a look at the files that makes up the collection, in the</Text>
+<Text id="0548">In the file browser, take a look at the files that make up the collection, in the</Text>
 <Path>sample_files &rarr; beatles &rarr; advbeat_large &rarr; import</Path> 
 <Text id="0549">folder. What a mess! There are over 450 files under seven top-level sub-folders. Organization is minimal, reflecting the different times and ways the files were gathered. For example, <i>html_lyrics</i> and <i>discography</i> are excerpts of web sites, and <i>images</i> contains various images in JPEG format. For each type, drill down through the hierarchy and look at a sample document.</Text>
@@ -3437,5 +3437,5 @@
 <Text id="0585">To make this easier for you we have prepared a plain text file that contains the new text. In WordPad open the following file:</Text>
 <Path>sample_files &rarr; beatles &rarr; format_tweaks &rarr; audio_tweak.txt</Path> 
-<Text id="0586">(Be sure to use WordPad rather than Notepad, because Notepad does not display the line breaks correctly.) Place it in the copy buffer by highlighting the text in WordPad and selecting <Menu>Edit &rarr; Copy</Menu>. Now move back to the Librarian Interface, highlight all the text that makes up the current <AutoText text="VList"/> format statement, and use <Menu><AutoText key="glidict::Menu.Edit"/> &rarr; <AutoText key="glidict::Menu.Edit_Paste"/></Menu> to transform the old statement to the new one.</Text>
+<Text id="0586">(Be sure to use WordPad rather than Notepad, because Notepad does not display the line breaks correctly.) Place it in the copy buffer by highlighting the text in WordPad and selecting <Menu>Edit &rarr; Copy</Menu>. Now move back to the Librarian Interface, highlight all the text that makes up the current <AutoText text="VList"/> format statement, and use <Menu><AutoText key="glidict::Menu.Edit"/> &rarr; <AutoText key="glidict::Menu.Edit_Paste" args="ctrl"/></Menu> to transform the old statement to the new one.</Text>
 <Text id="0589"><b>Preview</b> the result. You may need to click the browser's &lt;<b>Reload</b>&gt; button to force it to re-load the page.</Text>
 </NumberedItem>
@@ -4010,5 +4010,5 @@
 <NumberedItem>
 <MajorVersion number="2">
-<Text id="0691a">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <!--<AutoText key="glidict::CDM.FormatManager.AllFeatures"/>--><AutoText text="CL2"/>  in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and <AutoText text="DateList" /> in the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. Replace the last line</Text>
+<Text id="0691a">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.FormatManager.AllFeatures"/> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and <AutoText text="DateList" /> in the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. Replace the last line</Text>
 <Format>
 &lt;td&gt;{Or}{[format:dc.Date],[format:exp.Date],[format:ex.Date]}&lt;/td&gt;
@@ -4686,5 +4686,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="gli-oai-6">If your computer is behind a firewall or proxy server, you will need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.HTTP_Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes. Click <AutoText key="glidict::General.OK" type="button"/> to get back to the <AutoText key="glidict::DOWNLOAD.MODE.OAIDownload"/> section of the <AutoText key="glidict::GUI.Download"/> panel. </Text>
+<Text id="gli-oai-6">If the server is not running on <Format>localhost</Format> and your computer is behind a firewall or proxy server, you may need to edit the proxy settings in the Librarian Interface. Click the <AutoText key="glidict::Mirroring.Preferences" type="button"/> button. Switch on the <AutoText key="glidict::Preferences.Connection.Use_Proxy"/> checkbox. Enter the proxy server address and port number in the <AutoText key="glidict::Preferences.Connection.HTTP_Proxy_Host"/> and <AutoText key="glidict::Preferences.Connection.Proxy_Port"/> boxes. Click <AutoText key="glidict::General.OK" type="button"/> to get back to the <AutoText key="glidict::DOWNLOAD.MODE.OAIDownload"/> section of the <AutoText key="glidict::GUI.Download"/> panel. </Text>
 </NumberedItem>
 <NumberedItem>