Index: main/trunk/gli/classes/dictionary_fr.properties
===================================================================
--- main/trunk/gli/classes/dictionary_fr.properties	(revision 31988)
+++ main/trunk/gli/classes/dictionary_fr.properties	(revision 32000)
@@ -10,5 +10,5 @@
 AboutDialog.Item0:Xerces Java 1' de The Apache Software Foundation (http://www.apache.org/)
 AboutDialog.Item2:WGet' de la Free Software Foundation, Inc. (http://www.gnu.org/software/wget/wget.html)
-AboutDialog.Item3:qflib' de Quality First Software Gmbh, (http://www.qfs.de/enqflib/index.html)
+AboutDialog.Item3:'qfslib' de Quality First Software GmbH, (http://www.qfs.de/enqflib/index.html)
 AboutDialog.Item4:ExtensionFileFilter,class' de Bruno Dumon et contributeurs (http://pollo.sourceforge.net/)
 AboutDialog.Item5:'How to disable file renaming in file chooser' - vladi21 (http://www.experts-exchange.com/)
@@ -110,5 +110,5 @@
 CDM.DatabaseTypeManager.sqlite_Description:SQLite est un moteur base de donnÃ©es relationnelle simple. Il peut Ãªtre utilisÃ© dans Greenstone pour fournir des fonctionnalitÃ©s de recherche avancÃ©e expÃ©rimentales, qui ne sont pas possibles avec les autres moteurs de base de donnÃ©es. Pour activer ces fonctionnalitÃ©s, il faut ajouter "sqlform" Ã  la liste des Types de recherche (SearchTypes) dans la section des fonctions de formats  (Format Features ) de lâonglet Format
 CDM.FormatManager.Add:Ajouter le format
-CDM.FormatManager.Add_Tooltip:Utiliser la commande de format spÃ©cifiÃ©e avec la collection
+CDM.FormatManager.Add_Tooltip:Ajouter la commande de format spÃ©cifiÃ©e
 CDM.FormatManager.AllFeatures:Toutes les caractÃ©ristiques
 CDM.FormatManager.AllParts:Tous les composants
@@ -130,5 +130,5 @@
 CDM.FormatManager.Part_Tooltip:L'aspect de la caractÃ©ristique sÃ©lectionnÃ©e Ã  formater
 CDM.FormatManager.Remove:Supprimer le format
-CDM.FormatManager.Remove_Tooltip:Supprimer la commande de format sÃ©lectionnÃ©e de la liste
+CDM.FormatManager.Remove_Tooltip:Supprimer la commande de format sÃ©lectionnÃ©e
 CDM.FormatManager.Variable_Tooltip:InsÃ©rer une des variables prÃ©dÃ©finies dans la commande de format sÃ©lectionnÃ©e
 CDM.FormatManager.MessageBox:Validation XML
@@ -165,5 +165,5 @@
 CDM.HelpButton_Tooltip:Ouvrir l'aide le GLI pour cette fenÃªtre
 CDM.IndexManager.Add_Index:Ajouter index
-CDM.IndexManager.Add_Index_Tooltip:Construire l'index spÃ©cifiÃ© pour cette collection
+CDM.IndexManager.Add_Index_Tooltip:Ajouter l'index spÃ©cifiÃ©
 CDM.IndexManager.Allfields_Index:Ajouter une recherche combinÃ©e sur tous les index
 CDM.IndexManager.Default_Index_Indicator:[Index par dÃ©faut]
@@ -179,5 +179,5 @@
 CDM.IndexManager.New_Index_Tooltip:Ajouter un nouvel index
 CDM.IndexManager.Remove_Index:Supprimer index
-CDM.IndexManager.Remove_Index_Tooltip:Supprimer l'index sÃ©lectionnÃ© de la liste
+CDM.IndexManager.Remove_Index_Tooltip:Supprimer l'index sÃ©lectionnÃ©
 CDM.IndexManager.Replace_Index:Remplacer l'index
 CDM.IndexManager.Replace_Index_Tooltip:Mettre Ã  jour l'index sÃ©lectionnÃ©
@@ -188,5 +188,5 @@
 CDM.IndexManager.Set_Default:DÃ©finir l'index par dÃ©faut
 CDM.IndexManager.Set_Default_Tooltip:Faire de l'index sÃ©lectionnÃ© l'index par dÃ©faut
-CDM.IndexManager.Source:Construire l'index sur:
+CDM.IndexManager.Source:Inclure dans l'index:
 CDM.IndexManager.Source_Tooltip:Les Ã©lÃ©ments de mÃ©tadonnÃ©es sur lesquels construire l'index
 CDM.IndexManager.Text_Source:Texte intÃ©gral
@@ -209,7 +209,7 @@
 CDM.LanguageManager.Replace_Tooltip:Remplacer la partition sÃ©lectionnÃ©e par une nouvelle basÃ©e sur les langues cochÃ©es
 CDM.LanguageManager.Selector:Langues Ã  ajouter :
-CDM.LanguageManager.Selector_Tooltip:La langue sur laquelle construire un index de partition
+CDM.LanguageManager.Selector_Tooltip:Les langues pour lesquelles construire un index de partition
 CDM.LanguageManager.Set_Default:DÃ©finir dÃ©faut
-CDM.LanguageManager.Set_Default_Tooltip:Faire de la langue sÃ©lectionnÃ©e la langue par dÃ©faut
+CDM.LanguageManager.Set_Default_Tooltip:Faire de la partition de langue sÃ©lectionnÃ©e la partition par dÃ©faut
 CDM.LevelManager.Document:document
 CDM.LevelManager.Section:section
@@ -385,5 +385,5 @@
 CreatePane.Options_Title:Options d'Importation, de Construction et de Programmation de Collection
 CreatePane.Preview_Collection:PrÃ©visualiser collection
-CreatePane.Preview_Collection_Tooltip:PrÃ©visualiser la collection construite
+CreatePane.Preview_Collection_Tooltip:PrÃ©visualiser la collection
 #**********************
 #
@@ -508,6 +508,6 @@
 ExportAsPrompt.Export_Name:Nom du rÃ©pertoire
 ExportAsPrompt.Export_Name_Tooltip:Le nom du dossier, dans le rÃ©pertoire tmp de Greenstone, oÃ¹ les collections exportÃ©es seront sauvegardÃ©es.
-ExportAsPrompt.Export:Exporter la/les collections(s)
-ExportAsPrompt.Export_Tooltip:Exporter les collections sÃ©lectionnÃ©es dans le format choisi et le rÃ©pertoire indiquÃ©.
+ExportAsPrompt.Export:Exporter la collection
+ExportAsPrompt.Export_Tooltip:Exporter la collection sÃ©lectionnÃ©e dans le format choisi vers le rÃ©pertoire indiquÃ©
 ExportAsPrompt.Failed_ExportOne:La collection {0} n'a pu Ãªtre exportÃ©e.
 ExportAsPrompt.Failed_Details:Voir {1} pour les dÃ©tails.
@@ -648,4 +648,5 @@
 General.Redo:RÃ©tablir
 General.Redo_Tooltip:Restaurer la derniÃšre action "Annuler"
+General.Save:Enregistrer
 General.Undo:Annuler
 General.Undo_Tooltip:Annuler la derniÃšre modification
@@ -769,4 +770,5 @@
 Menu.Edit_Cut:Couper ({0}-x)
 Menu.Edit_Paste:Coller ({0}-v)
+Menu.Edit_Config:Ãditer collectionConfig.xml
 Menu.Expand:Ouvrir Dossier
 Menu.Explode_Metadata_Database:Ãclater la base de donnÃ©es de mÃ©tadonnÃ©es
@@ -858,7 +860,13 @@
 Mirroring.DownloadJob.Pause:Pause
 Mirroring.DownloadJob.Pause_Tooltip:Suspendre ce tÃ©lÃ©chargement
+Mirroring.DownloadJob.Stop:ArrÃªter
+Mirroring.DownloadJob.Stop_Tooltip:ArrÃªter ce tÃ©lÃ©chargement sâil est en cours dâexÃ©cution
+Mirroring.DownloadJob.Stopped:ArrÃªtÃ©
+Mirroring.DownloadJob.Stopped_Tooltip:Ce tÃ©lÃ©chargement a Ã©tÃ© arrÃªtÃ©
 Mirroring.DownloadJob.Resume:Recommencer
 Mirroring.DownloadJob.Resume_Tooltip:Continuer ce tÃ©lechargement
 Mirroring.DownloadJob.Status:TÃ©lÃ©chargÃ© {0} de {1} fichiers ({2} avertissements, {3} erreurs)
+Mirroring.DownloadJob.Warning_No_Valid_Certificate:ATTENTION: Impossible de tÃ©lÃ©charger Ã  partir d'un site qui n' a pas de certificat de sÃ©curitÃ© (valide).
+Mirroring.DownloadJob.Enable_NoCheckCertificate:Activer 'Pas de vÃ©rification de certificat' dans PrÃ©fÃ©rences > Connexion pour tÃ©lÃ©charger de maniÃšre non sÃ©curisÃ©e Ã  partir des URL 'https'.
 Mirroring.DownloadJob.Waiting:En attente de dÃ©marrage
 Mirroring.DownloadJob.Waiting_User:En attente dune action de l'utilisateur
@@ -942,6 +950,27 @@
 #
 #***** FormatConversionDialog *****
+FormatConversionDialog.Accept_All:Tout accepter
+FormatConversionDialog.Accept_All_Tooltip:Ferme cette boÃ®te de dialogue, en acceptant les instructions de format Greenstone3 par dÃ©faut qui ont Ã©tÃ© produites automatiquement pour les instructions de format Greenstone2 actuelles et ultÃ©rieures.
+FormatConversionDialog.Cancel_Or_Accept_All:Une ou plusieurs instructions de format Greenstone3 contiennent du XML invalide.\nSoit appuyer sur Annuler pour corriger le XML,\nsoit appuyer sur OK pour enregistrer les instructions de format Greenstone3 telles quelles, bien qu'inactives.\nVous pouvez utiliser plus tard l'ongle  Format pour revoir les instructions de format si vous voulez mettre Ã  jour leur syntaxe.
+FormatConversionDialog.Cancel_Or_Continue_Next:Soit appuyer sur Annuler pour revenir en arriÃšre et rÃ©Ã©diter le XML,\nsoit appuyer sur OK pour enregistrer le XML actuel tel quel, bien qu'inactif, et passer Ã  l'instruction suivante.\nVous pouvez utiliser plus tard l'onglet Format pour revoir cette instruction de format si vous voulez mettre Ã  jour sa syntaxe.
+FormatConversionDialog.Cancel_Tooltip:Annule l'ouverture de la collection et ferme cette boÃ®te de dialogue, annulant les modifications apportÃ©es dans la boÃ®te de dialogue.
+FormatConversionDialog.Error_GS3_Format:Erreur dans lâinstruction de format Greenstone3.
+FormatConversionDialog.GS2_Text_Tooltip:Instruction de format Greenstone2.
+FormatConversionDialog.GS3_Text_Tooltip:Instruction de format Greenstone3, doit Ãªtre en XML pour Ãªtre active dans Greenstone.
+FormatConversionDialog.Invalid_XML:XML invalide.
+FormatConversionDialog.Invalid_XML_Warning_Title:Abandonner ou ContinuerÂ ?
+FormatConversionDialog.Next:Suivant
+FormatConversionDialog.Next_Tooltip:Examiner l'instruction de format Greenstone3 suivante qui a Ã©tÃ© automatiquement convertie Ã  partir d'une instruction de format Greenstone2
+FormatConversionDialog.Reconvert:Reconvertir
+FormatConversionDialog.Reconvert_Tooltip:Convertit le texte qui se trouve actuellement dans la zone de texte pour format Greenstone2 en une instruction de format Greenstone3
+FormatConversionDialog.Tidy_Done:Tidy terminÃ©.
+FormatConversionDialog.Tidy_Failed:Tidy a Ã©chouÃ©.
+FormatConversionDialog.Title:Convertir les instructions de format Greenstone2 vers Greenstone3
+FormatConversionDialog.XHTML_Tidy:XHTML Tidy
+FormatConversionDialog.XHTML_Tidy_Tooltip:Lancera HTML Tidy pour les instructions de format afin de tenter de corriger les erreurs XHTML Ã©videntes.
+FormatConversionDialog.XML_Still_Invalid:XML est toujours invalide.
 
 #***** ConfigFileEditor *****
+ConfigFileEditor.Tooltip:Editeur XML de Greenstone 3 pour la configuration de la collection
 ConfigFileEditor.Save_Tooltip:Enregistrer les changements et fermer.
 ConfigFileEditor.Cancel_Tooltip:Fermer sans enregistrer.
@@ -973,9 +1002,18 @@
 Preferences.Connection.ProgramCommand:Commande de prÃ©visualisation:
 Preferences.Connection.ProgramCommand_Tooltip:La commande d'exÃ©cution pour le programme utilisÃ© pour prÃ©visualiser la collection. Pensez Ã  utiliser %1 pour rÃ©server de la place pour l'adresse de la collection et Ã  utiliser des symboles lÃ  oÃ¹ c'est nÃ©cessaire.
-Preferences.Connection.Proxy_Host:HÃŽte proxy
-Preferences.Connection.Proxy_Host_Tooltip:L'adresse de votre serveur proxy
-Preferences.Connection.Proxy_Port:Port du proxy :
-Preferences.Connection.Proxy_Port_Tooltip:Le numÃ©ro de port de votre serveur proxy
-Preferences.Connection.Proxy_Host_Missing:Entrer une valeur pour lâhÃŽte proxy ou dÃ©sactiver "Utiliser la connexion Proxy" dans lâOnglet Connexion
+Preferences.Connection.No_Check_Certificate:Pas de vÃ©rification de certificat pour tÃ©lÃ©chargements HTTPS
+Preferences.Connection.No_Check_Certificate_Tooltip:Cochez cette case pour tÃ©lÃ©charger mÃªme Ã  partir des URL 'https' qui n'ont pas de certificat de sÃ©curitÃ© (valide).
+Preferences.Connection.HTTP_Proxy_Host:HÃŽte proxy HTTPÂ :
+Preferences.Connection.HTTP_Proxy_Host_Tooltip:L'adresse de votre serveur proxy HTTP
+Preferences.Connection.HTTP_Proxy_Port_Tooltip:Le numÃ©ro de port de votre serveur proxy HTTP
+Preferences.Connection.HTTPS_Proxy_Host:HÃŽte proxy HTTPSÂ :
+Preferences.Connection.HTTPS_Proxy_Host_Tooltip:L'adresse de votre serveur proxy HTTPS
+Preferences.Connection.HTTPS_Proxy_Port_Tooltip:Le numÃ©ro de port de votre serveur proxy HTTPS
+Preferences.Connection.FTP_Proxy_Host:HÃŽte proxy FTPÂ :
+Preferences.Connection.FTP_Proxy_Host_Tooltip:L'adresse de votre serveur proxy FTP
+Preferences.Connection.FTP_Proxy_Port_Tooltip:Le numÃ©ro de port de votre serveur proxy FTP
+Preferences.Connection.Proxy_Host_Missing:Entrer une valeur pour au moins un hÃŽte proxy ou dÃ©sactiver "Utiliser la connexion Proxy" dans lâonglet Connexion
+Preferences.Connection.Proxy_Port:Port:
+
 Preferences.Connection.Servlet:Servlet:
 Preferences.Connection.Servlet_Tooltip:Servlet Ã  utiliser pour afficher votre site
@@ -1095,6 +1133,6 @@
 GEMS.DeleteMetadataSetPrompt.Confirm_Delete:Veuillez cocher la case pour confirmer la suppression du jeu de mÃ©tadonnÃ©es.
 GEMS.DeleteMetadataSetPrompt.No_Set:Aucun jeu de mÃ©tadonnÃ©es sÃ©lectionnÃ©
-GEMS.Confirm_Removal:Etes vous sÃ»r de vouloir supprimer ce {0}?
-GEMS.Confirm_Removal_Title:Confirmer suppression
+GEMS.Confirm_Removal:Ãtes vous sÃ»r de vouloir supprimer ce {0}?
+GEMS.Confirm_Removal_Title:Confirmer la suppression
 GEMS.Attribute:Attribut
 GEMS.Popup.AddElement:Ajouter un Ã©lÃ©ment
@@ -1113,5 +1151,5 @@
 GEMS.NewMetadataSetPrompt.Namespace_Error:Pas d'espace de noms spÃ©cifiÃ©
 GEMS.SelectedLanguage:Ajoutez des attributs pour la langue:
-GEMS.Language:Langue
+GEMS.Language:--Choisir la langue--
 GEMS.LanguageDependent:Attributs qui dÃ©pendent de la langue
 GEMS.Attribute_Table:Attributs